# $Revision: 1.26 $, $Date: 2005/10/17 05:58:15 $
Summary:	K-3D - 3D modeling, animation, and rendering system
Summary(pl):	K-3D - system modelowania, animacji i renderingu 3D
Name:		k3d
Version:	0.4.5.0
Release:	4
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/k3d/%{name}-%{version}.tbz2
# Source0-md5:	943599d20d35faf3e2033d3304cc2079
Source1:	%{name}.desktop
Patch0:		%{name}-user_reference_path.patch
Patch1:		%{name}-new_pnm.patch
URL:		http://k3d.sourceforge.net/
BuildRequires:	ImageMagick-c++-devel >= 1:6.2.4.0
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	graphviz
BuildRequires:	gtk+-devel >= 1.2.8
BuildRequires:	libsigc++1-devel
BuildRequires:	libtool
BuildRequires:	netpbm-devel >= 10.28
BuildRequires:	netpbm-progs >= 10.28
%ifarch %{x8664}
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=285364
BuildRequires:	gcc-c++ >= 5:3.4.0
%endif
Requires:	OpenGL
Requires:	renderman-engine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
K-3D is a 3D modeling, animation, and rendering system for GNU/Linux &
Win32. Features include creation and editing of geometry in multiple
realtime OpenGL solid, shaded, and texture-mapped views; unlimited
undos and redos; complete extensibility at runtime through third-party
plugins; animated procedural geometric effects; all parameters
animatable through a consistent control-spline based interface;
rendering pipeline to Renderman Interface compliant rendering engines;
optimization for use with the BMRT rendering engine, which features
raytracing, radiosity rendering, true displacement, and user
programmable shaders; and support for background and batch rendering.

%description -l pl
K-3D jest systemem modelowania, animacji i renderowania 3D,
przeznaczonym dla platform GNU/Linux i Win32. Moliwoci obejmuj
tworzenie i edycj geometrii w wielu dziaajcych w czasie
rzeczywistym widokach bryowych, cieniowanych i teksturowanych OpenGL;
nieograniczone undo i redo; pena rozszerzalno w czasie dziaania
poprzez zewntrzne wtyczki; animowane proceduralne efekty geometryczne;
wszystkie parametry animowalne poprzez spjny interfejs oparty na
sterowaniu splajnami; renderowanie poprzez silniki zgodne z
interfejsem Rendermana; optymalizacj do uywania z silnikiem
renderujcym BMRT, obsugujcym raytracing, radiosity, prawdziwe
przemieszczenia i cieniowanie programowalne przez uytkownika;
obsug renderowania w tle i wsadowego.

%package devel
Summary:        K-3D plugin and extension development kit
Summary(pl):    Pliki potrzebne do budowania moduw i rozszerze dla K-3D
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	ImageMagick-c++-devel
Requires:	gtk+-devel >= 1.2.8
Requires:	libsigc++1-devel

%description devel
Header files for writing K-3D plugins and extensions.

%description devel -l pl
Pliki nagwkowe do tworzenia wtyczek i rozszerze dla K-3D.

%prep
%setup -q
%patch0 -p1
%patch1

mv -f k3dui/application_window.cpp k3dui/application_window.cpp.in

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/*.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO user_reference
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/lib*.so*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.conf
%{_datadir}/%{name}/dialogtemplates
%{_datadir}/%{name}/scripts
%{_datadir}/%{name}/shaders
%{_datadir}/%{name}/tutorials
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/%{name}/lib*.la
%{_includedir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: k3d.spec,v $
Revision 1.26  2005/10/17 05:58:15  arekm
- rel 4

Revision 1.25  2005/10/04 19:16:44  qboosh
- gcc epoch

Revision 1.24  2005/10/04 17:45:48  arekm
- build hangs on amd64

Revision 1.23  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.22  2005/10/03 10:44:51  arekm
- rel 2; add BR netpbm-progs

Revision 1.21  2005/06/21 10:33:13  blekot
- up to 0.4.5.0 (build on @athlon)

Revision 1.20  2005/06/21 01:10:57  undefine
- patch for detect new pnm
- BR: graphviz

Revision 1.19  2004/12/10 23:45:58  ankry
- rel. 2

Revision 1.18  2004/09/26 23:00:24  ankry
- rel. 1

Revision 1.17  2004/09/26 19:05:39  kali
- updated to 0.4.3.0
- removed outdated am18 patch

Revision 1.16  2004/07/30 20:53:14  kali
- updated to 0.4.2

Revision 1.15  2004/07/06 21:44:39  kali
- updated to 0.4.1.0, cosmetics

Revision 1.14  2004/06/04 21:35:26  qboosh
- pl desc, cosmetics

Revision 1.13  2004/06/04 20:32:03  kali
- Source0 fixed

Revision 1.12  2004/06/04 20:27:56  kali
- updated to 0.4.0.0
- cleanup, added package devel
- now build (not tested)

Revision 1.11  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.10  2003/05/28 12:59:16  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:49:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/18 22:51:59  juandon
- removed two lines with define

Revision 1.7  2002/04/25 16:40:11  arturs
fixed a small typo

Revision 1.6  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/11/30 15:33:34  qboosh
- fixed Groups, added descriptions; NOTE: missing files list!

Revision 1.3  2001/05/02 21:51:21  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.2  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.1  2000/11/10 09:08:21  cieciwa
- initial spec.
